> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Nanobanana Tasks



## OpenAPI

````yaml /openapi/nano-banana.json post /nano-banana/tasks
openapi: 3.0.0
info:
  title: Nano Banana Image Generation
  version: 1.0.0
  description: API reference for Nano Banana Image Generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /nano-banana/tasks:
    post:
      summary: Nanobanana Tasks
      operationId: queryNanoBananaTasks
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Nano Banana Tasks Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: Nano Banana Tasks Id
                ids:
                  type: array
                  items:
                    type: string
                  description: Nano Banana Tasks Ids
                action:
                  enum:
                    - retrieve
                    - retrieve_batch
                  type: string
                  default: retrieve
                  description: Nano Banana Tasks Action
              example:
                action: retrieve
                id: task-id
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/NanoBananaTaskRecord'
                  - type: object
                    required:
                      - items
                      - count
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/NanoBananaTaskRecord'
                        description: >-
                          Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Items.C3A8189C907B
                      count:
                        type: integer
                        minimum: 0
                        description: >-
                          Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Count.855624Eb0781
                  - type: object
                    additionalProperties: false
                    description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.2.Ef870121Ec06
              example:
                items: []
                count: 0
          description: Nano Banana Tasks Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Nano Banana Tasks Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Nano Banana Tasks Response 400 Error Message
                      trace_id:
                        type: string
                        description: Nano Banana Tasks Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Nano Banana Tasks Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Nano Banana Tasks Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Nano Banana Tasks Response 400 Trace Id 2
          description: Nano Banana Tasks Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Nano Banana Tasks Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Nano Banana Tasks Response 401 Error Message
                      trace_id:
                        type: string
                        description: Nano Banana Tasks Response 401 Trace Id
          description: Nano Banana Tasks Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Nano Banana Tasks Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Nano Banana Tasks Response 429 Error Message
                      trace_id:
                        type: string
                        description: Nano Banana Tasks Response 429 Trace Id
          description: Nano Banana Tasks Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Nano Banana Tasks Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Nano Banana Tasks Response 500 Error Message
                      trace_id:
                        type: string
                        description: Nano Banana Tasks Response 500 Trace Id
          description: Nano Banana Tasks Response 500
      security:
        - bearerAuth: []
components:
  schemas:
    NanoBananaTaskRecord:
      type: object
      required:
        - id
        - type
        - created_at
        - trace_id
        - request
      properties:
        id:
          type: string
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Id.A60Bd59B5961
        type:
          type: string
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Type.4542A64593Da
        trace_id:
          type: string
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Trace Id.F8D537F072C9
        request:
          $ref: '#/components/schemas/NanoBananaTaskRequestPayload'
        response:
          $ref: '#/components/schemas/NanoBananaTaskResultPayload'
        created_at:
          type: number
          format: double
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Created At.D9F7F7A54C4A
        started_at:
          type: number
          format: double
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Started At.596B0Ce887Ad
        finished_at:
          type: number
          format: double
          nullable: true
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Finished At.2A11646Ccd59
        elapsed:
          type: number
          format: double
          minimum: 0
          nullable: true
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Elapsed.D0303Ab97D5B
        user_id:
          type: string
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.User Id.98E8Dc463B5B
        actor_user_id:
          type: string
          nullable: true
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Actor User Id.79C828E1303B
        api_id:
          type: string
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Api Id.7A91Ec323933
        application_id:
          type: string
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Application Id.62C9676Ff3B3
        credential_id:
          type: string
          nullable: true
          description: Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Credential Id.6Fb4328Fdef0
        authorization_id:
          type: string
          nullable: true
          description: >-
            Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Authorization
            Id.Affc05F7Edd8
    NanoBananaTaskRequestPayload:
      type: object
      additionalProperties: true
      description: >-
        Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Nanobananataskrequestpayload.40716E538Ae7
    NanoBananaTaskResultPayload:
      type: object
      additionalProperties: true
      description: >-
        Openapi.72E9188B99Df4E3A85E48E3Dbf389790.Nanobananataskresultpayload.8Dc195D8666A
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````